import { nothing } from "lit";
function bindingGuard() {
    return (_, propertyKey, descriptor)=>{
        if (descriptor?.value === void 0 || 'render' !== propertyKey) throw new Error('@bindingGuard decorator can only be used on render method');
        const originalMethod = descriptor.value;
        descriptor.value = function() {
            return this.bindings ? originalMethod?.call(this) : nothing;
        };
        return descriptor;
    };
}
export { bindingGuard };
